<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.1
Description: Ontvangstbevestiging Accept Acknowledgement
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.1">
   <title>Ontvangstbevestiging</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002
Item: (Ontvangstbevestiging)
-->

<rule context="hl7:MCCI_IN000002"
         id="tmp-88ecd68e-2a76-496b-bfc1-8758a4eaa79d">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(Ontvangstbevestiging): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:id)&lt;=1">(Ontvangstbevestiging): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:creationTime)&gt;=1 and not(hl7:creationTime/@nullFlavor)">(Ontvangstbevestiging): element hl7:creationTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:creationTime)&lt;=1">(Ontvangstbevestiging): element hl7:creationTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:versionCode)&gt;=1 and not(hl7:versionCode/@nullFlavor)">(Ontvangstbevestiging): element hl7:versionCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:versionCode)&lt;=1">(Ontvangstbevestiging): element hl7:versionCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&gt;=1 and not(hl7:interactionId[@root='2.16.840.1.113883.1.6']/@nullFlavor)">(Ontvangstbevestiging): element hl7:interactionId[@root='2.16.840.1.113883.1.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&lt;=1">(Ontvangstbevestiging): element hl7:interactionId[@root='2.16.840.1.113883.1.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&gt;=1 and not(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']/@nullFlavor)">(Ontvangstbevestiging): element hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&lt;=1">(Ontvangstbevestiging): element hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:processingCode)&gt;=1 and not(hl7:processingCode/@nullFlavor)">(Ontvangstbevestiging): element hl7:processingCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:processingCode)&lt;=1">(Ontvangstbevestiging): element hl7:processingCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:processingModeCode)&gt;=1 and not(hl7:processingModeCode/@nullFlavor)">(Ontvangstbevestiging): element hl7:processingModeCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:processingModeCode)&lt;=1">(Ontvangstbevestiging): element hl7:processingModeCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:acceptAckCode)&gt;=1 and not(hl7:acceptAckCode/@nullFlavor)">(Ontvangstbevestiging): element hl7:acceptAckCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:acceptAckCode)&lt;=1">(Ontvangstbevestiging): element hl7:acceptAckCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:acknowledgement)&gt;=1 and not(hl7:acknowledgement/@nullFlavor)">(Ontvangstbevestiging): element hl7:acknowledgement is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:acknowledgement)&lt;=1">(Ontvangstbevestiging): element hl7:acknowledgement komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002
Item: (TransmissionWrapperMCCI_MT000200)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002
Item: (TransmissionWrapperMCCI_MT000200)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:id
Item: (TransmissionWrapperMCCI_MT000200)
-->

<rule context="hl7:MCCI_IN000002/hl7:id"
         id="tmp-7056ba2e-98d9-4801-8ad0-e6aeef185bee">
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root and @extension">(TransmissionWrapperMCCI_MT000200): Transmission: id element mist root of extension</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:creationTime
Item: (TransmissionWrapperMCCI_MT000200)
-->

<rule context="hl7:MCCI_IN000002/hl7:creationTime"
         id="tmp-e6824523-0caa-4986-a502-74df286fdb61">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:versionCode
Item: (TransmissionWrapperMCCI_MT000200)
-->

<rule context="hl7:MCCI_IN000002/hl7:versionCode"
         id="tmp-3c9c596a-c97e-44a1-8e4e-13f16a08e0fb">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@nullFlavor or (@code='NICTIZEd2005-Okt')">(TransmissionWrapperMCCI_MT000200): de waarde van @code MOET ''NICTIZEd2005-Okt'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:interactionId[@root='2.16.840.1.113883.1.6']
Item: (TransmissionWrapperMCCI_MT000200)
-->

<rule context="hl7:MCCI_IN000002/hl7:interactionId[@root='2.16.840.1.113883.1.6']"
         id="tmp-5447372b-232a-4a5a-a56d-ca7e52de0d8e">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@root='2.16.840.1.113883.1.6'">(TransmissionWrapperMCCI_MT000200): @root MOET de waarde '2.16.840.1.113883.1.6' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TransmissionWrapperMCCI_MT000200): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <let name="interactionId"
           value="self::node()[@root='2.16.840.1.113883.1.6']/@extension"/>
      <assert role="error"
              test="not(@root='2.16.840.1.113883.1.6') or local-name(..)=@extension">(TransmissionWrapperMCCI_MT000200): Transmission: @extension moet overeenkomen met het startelement van het bericht</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']
Item: (TransmissionWrapperMCCI_MT000200)
-->

<rule context="hl7:MCCI_IN000002/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']"
         id="tmp-d30f6f65-524a-4f1c-a5bc-6300825eb51e">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@root='2.16.840.1.113883.2.4.3.11.1'">(TransmissionWrapperMCCI_MT000200): @root MOET de waarde '2.16.840.1.113883.2.4.3.11.1' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TransmissionWrapperMCCI_MT000200): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@extension='810'">(TransmissionWrapperMCCI_MT000200): de waarde van @extension MOET '810' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:processingCode
Item: (TransmissionWrapperMCCI_MT000200)
-->

<rule context="hl7:MCCI_IN000002/hl7:processingCode"
         id="tmp-0fdef832-0458-4318-ba1b-a8d8d40f9d6e">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@nullFlavor or (@code='P')">(TransmissionWrapperMCCI_MT000200): de waarde van @code MOET ''P'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:processingModeCode
Item: (TransmissionWrapperMCCI_MT000200)
-->

<rule context="hl7:MCCI_IN000002/hl7:processingModeCode"
         id="tmp-50052a03-4775-4038-9de4-0a5d1f110d6a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@nullFlavor or (@code='T')">(TransmissionWrapperMCCI_MT000200): de waarde van @code MOET ''T'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:acceptAckCode
Item: (TransmissionWrapperMCCI_MT000200)
-->

<rule context="hl7:MCCI_IN000002/hl7:acceptAckCode"
         id="tmp-33c1938f-8403-4a44-977a-d4d14b097033">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@nullFlavor or (@code='NE')">(TransmissionWrapperMCCI_MT000200): de waarde van @code MOET ''NE'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:acknowledgement
Item: (TransmissionWrapperMCCI_MT000200)
-->

<rule context="hl7:MCCI_IN000002/hl7:acknowledgement"
         id="tmp-4fc9ffab-7cac-43f2-a665-fbb6facfa64a">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@typeCode='CA' or @typeCode='CE' or @typeCode='CR' or @typeCode='AA' or @typeCode='AE' or @typeCode='AR'">(TransmissionWrapperMCCI_MT000200): de waarde van @typeCode MOET één van de volgende codes bevatten: CA', 'CE', 'CR', 'AA', 'AE', 'AR.</assert>
      <assert role="warning"
              test="@typeCode='CA' or @typeCode='CE' or @typeCode='CR'">(TransmissionWrapperMCCI_MT000200): Transmission: ontvangstbevestigingen moeten acknowledgement/@typeCode CA, CE of CR hebben. In slechts sommige gevallen worden toch inhoudelijke antwoorden toegestaan (@typeCode is 'AA', 'AE' or 'AR').</assert>
      <assert role="warning"
              test="@typeCode='AA' or @typeCode='CA' or hl7:acknowledgementDetail">(TransmissionWrapperMCCI_MT000200): Transmission: negatieve antwoordberichten moeten ook een reden hebben waarom</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:targetMessage)&gt;=1 and not(hl7:targetMessage/@nullFlavor)">(TransmissionWrapperMCCI_MT000200): element hl7:targetMessage is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:targetMessage)&lt;=1">(TransmissionWrapperMCCI_MT000200): element hl7:targetMessage komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail
Item: (TransmissionWrapperMCCI_MT000200)
-->

<rule context="hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail"
         id="tmp-4e122c5c-12ac-4874-8a17-ce9c214198e1">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@typeCode='E' or not(@typeCode)">(TransmissionWrapperMCCI_MT000200): de waarde van @typeCode MOET 'E' zijn.</assert>
      <assert role="error" test="hl7:code[@code and @displayName] or hl7:text">(TransmissionWrapperMCCI_MT000200): Transmission: er moet een toelichting op de fout/waarschuwing zijn in hl7:code/@displayName of text</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TransmissionWrapperMCCI_MT000200): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:code)&lt;=1">(TransmissionWrapperMCCI_MT000200): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:text)&lt;=1">(TransmissionWrapperMCCI_MT000200): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail/hl7:code
Item: (TransmissionWrapperMCCI_MT000200)
-->

<rule context="hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail/hl7:code"
         id="tmp-d18932e3-5427-4f75-8f68-5c4b296a98a0">
      <let name="theValue" value="@value"/>
      <assert role="warning"
              test="@displayName or @codeSystem='2.16.840.1.113883.5.1100' or @codeSystem='2.16.840.1.113883.2.4.6.6.1.1000' or @codeSystem='2.16.840.1.113883.5.4'">(TransmissionWrapperMCCI_MT000200): Transmission: als de code niet uit een van de standaardcodesystemen '2.16.840.1.113883.5.1100', '2.16.840.1.113883.2.4.6.6.1.1000', of '2.16.840.1.113883.5.4' komt is het @displayName attribuut verplicht</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail/hl7:text
Item: (TransmissionWrapperMCCI_MT000200)
-->

<rule context="hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail/hl7:text"
         id="tmp-7fbd5461-7c7d-47ad-bcca-549fd108d83e">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail/hl7:location
Item: (TransmissionWrapperMCCI_MT000200)
-->

<rule context="hl7:MCCI_IN000002/hl7:acknowledgement/hl7:acknowledgementDetail/hl7:location"
         id="tmp-f08a11e2-c02c-447b-a9ca-18152c2313c2">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:acknowledgement/hl7:targetMessage
Item: (TransmissionWrapperMCCI_MT000200)
-->

<rule context="hl7:MCCI_IN000002/hl7:acknowledgement/hl7:targetMessage"
         id="tmp-06c4a0f4-eae9-437d-97c9-6632c047fc96">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TransmissionWrapperMCCI_MT000200): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:id)&lt;=1">(TransmissionWrapperMCCI_MT000200): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:acknowledgement/hl7:targetMessage/hl7:id
Item: (TransmissionWrapperMCCI_MT000200)
-->

<rule context="hl7:MCCI_IN000002/hl7:acknowledgement/hl7:targetMessage/hl7:id"
         id="tmp-e80cc8fd-68c0-4304-9bc1-bdb845a2699e">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:receiver
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:MCCI_IN000002/hl7:receiver"
         id="tmp-11906e67-4de8-44b4-8c71-8de75a70eb59">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@typeCode='RCV' or not(@typeCode)">(TransmissionWrapperReceiverNotZIM): de waarde van @typeCode MOET 'RCV' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">(TransmissionWrapperReceiverNotZIM): element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:device)&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:receiver/hl7:device
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:MCCI_IN000002/hl7:receiver/hl7:device"
         id="tmp-2df9dc28-6ff6-45aa-9c9a-3287c64f51d2">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">(TransmissionWrapperReceiverNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:name)&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:MCCI_IN000002/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-387d786e-1977-4d96-a10b-3fb583bfb19f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@root='2.16.840.1.113883.2.4.6.6'">(TransmissionWrapperReceiverNotZIM): @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TransmissionWrapperReceiverNotZIM): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')">(TransmissionWrapperReceiverNotZIM): Transmission: receiver/device/id mag niet de AORTA ZIM zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:receiver/hl7:device/hl7:name
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:MCCI_IN000002/hl7:receiver/hl7:device/hl7:name"
         id="tmp-eefe8dcc-1ebf-4ea7-a61e-2f033cdb8965">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:sender
Item: (TransmissionWrapperSenderAORTADevice)
-->

<rule context="hl7:MCCI_IN000002/hl7:sender"
         id="tmp-2fb9e311-420d-4fd9-93c8-2d01d8eca02d">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@typeCode='SND' or not(@typeCode)">(TransmissionWrapperSenderAORTADevice): de waarde van @typeCode MOET 'SND' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">(TransmissionWrapperSenderAORTADevice): element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:device)&lt;=1">(TransmissionWrapperSenderAORTADevice): element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:sender/hl7:device
Item: (TransmissionWrapperSenderAORTADevice)
-->

<rule context="hl7:MCCI_IN000002/hl7:sender/hl7:device"
         id="tmp-7d98954b-e66a-483d-9607-1d9e40259f12">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">(TransmissionWrapperSenderAORTADevice): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">(TransmissionWrapperSenderAORTADevice): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="count(hl7:name)&lt;=1">(TransmissionWrapperSenderAORTADevice): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: (TransmissionWrapperSenderAORTADevice)
-->

<rule context="hl7:MCCI_IN000002/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-e26d22f8-029e-443e-888c-25c72afcbd45">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="@root='2.16.840.1.113883.2.4.6.6'">(TransmissionWrapperSenderAORTADevice): @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TransmissionWrapperSenderAORTADevice): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.1
Context: hl7:MCCI_IN000002/hl7:sender/hl7:device/hl7:name
Item: (TransmissionWrapperSenderAORTADevice)
-->

<rule context="hl7:MCCI_IN000002/hl7:sender/hl7:device/hl7:name"
         id="tmp-616f373d-a558-4ded-a701-1ee8f3be06a1">
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
