<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.112
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.40.112">
   <title>Lichamelijk onderzoek</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.112
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.112']]
Item: (TMP LichamelijkOnderzoek)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.112
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.112']]/hl7:observation
Item: (TMP LichamelijkOnderzoek)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.112']]/hl7:observation"
         id="tmp-56943c25-e103-45df-b5f8-a86fe9c30136">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.112.html"
              test="@classCode='OBS'">(TMP LichamelijkOnderzoek): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.112.html"
              test="@moodCode='EVN'">(TMP LichamelijkOnderzoek): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.112.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112']/@nullFlavor)">(TMP LichamelijkOnderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.112.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112'])&lt;=1">(TMP LichamelijkOnderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.112.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP LichamelijkOnderzoek): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.112.html"
              test="count(hl7:code)&lt;=1">(TMP LichamelijkOnderzoek): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.112.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP LichamelijkOnderzoek): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.112.html"
              test="count(hl7:value)&lt;=1">(TMP LichamelijkOnderzoek): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.112.html"
              test="count(hl7:performer)&lt;=1">(TMP LichamelijkOnderzoek): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.112
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.112']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112']
Item: (TMP LichamelijkOnderzoek)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.112']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112']"
         id="tmp-32f443bf-6d96-4241-91ff-b883388a8455">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.112.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.112'">(TMP LichamelijkOnderzoek): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.112' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.112.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP LichamelijkOnderzoek): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.112
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.112']]/hl7:observation/hl7:code
Item: (TMP LichamelijkOnderzoek)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.112']]/hl7:observation/hl7:code"
         id="tmp-0226852b-32e6-4fab-b9b7-71fd1e6a2267">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.112.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP LichamelijkOnderzoek): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.112.html"
              test="@nullFlavor or (@code='29545-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Physical Examination')">(TMP LichamelijkOnderzoek): De waarde van @code/@codeSystem MOET '29545-1' codeSystem '2.16.840.1.113883.6.1' displayName='Physical Examination' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.112
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.112']]/hl7:observation/hl7:value
Item: (TMP LichamelijkOnderzoek)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.112']]/hl7:observation/hl7:value"
         id="tmp-aa0c7dec-94da-4e27-b66f-f60281c4568d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.112.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP LichamelijkOnderzoek): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.112
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.112']]/hl7:observation/hl7:performer
Item: (TMP LichamelijkOnderzoek)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.112']]/hl7:observation/hl7:performer"
         id="tmp-479c52e8-0a5e-4180-bb60-7ed3095bf1bf">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.112.html"
              test="@contextControlCode='OP'">(TMP LichamelijkOnderzoek): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.112.html"
              test="@typeCode='PRF'">(TMP LichamelijkOnderzoek): De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.112.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP LichamelijkOnderzoek): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.112
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.112']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP LichamelijkOnderzoek)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.112']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-bc547e34-50ad-450f-ba9a-62f70e7bd7a8">
      <extends rule="tmp-ffe341b6-99b0-459c-a758-2c0e0c2a9ab5"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.112.html"
              test="@classCode='ASSIGNED'">(TMP LichamelijkOnderzoek): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.112
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.112']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP LichamelijkOnderzoek)
-->
<rule id="tmp-ffe341b6-99b0-459c-a758-2c0e0c2a9ab5" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.112.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP LichamelijkOnderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.112.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP LichamelijkOnderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.112
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.112']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP LichamelijkOnderzoek)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.112']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-69e5075f-aa07-470d-a1d3-63872ee804e4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.112.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP LichamelijkOnderzoek): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.112.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP LichamelijkOnderzoek): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
</pattern>