<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.24
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.70.24">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.24
Context: *[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]
Item: (TMP FamilieRelatie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.24
Context: *[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship
Item: (TMP FamilieRelatie)
-->

<rule context="*[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship"
         id="tmp-5dbaf4de-49d8-48d8-a53d-bce6343202d7">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="@classCode='PRS'">(TMP FamilieRelatie): De waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.24'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.24']/@nullFlavor)">(TMP FamilieRelatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.24'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.24'])&lt;=1">(TMP FamilieRelatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.24'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="count(hl7:code)&gt;=1 ">(TMP FamilieRelatie): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="count(hl7:code)&lt;=1">(TMP FamilieRelatie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="count(hl7:relationshipHolder)&gt;=1 and not(hl7:relationshipHolder/@nullFlavor)">(TMP FamilieRelatie): element hl7:relationshipHolder is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="count(hl7:relationshipHolder)&lt;=1">(TMP FamilieRelatie): element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.24
Context: *[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.24']
Item: (TMP FamilieRelatie)
-->

<rule context="*[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.24']"
         id="tmp-cf139b25-97a9-4831-b7d4-6fbaaa6c9224">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.24'">(TMP FamilieRelatie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.24' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP FamilieRelatie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.24
Context: *[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:code
Item: (TMP FamilieRelatie)
-->

<rule context="*[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:code"
         id="tmp-c825677f-1561-4ae9-bb91-12c0715c3c3d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP FamilieRelatie): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(TMP FamilieRelatie): De waarde van @codeSystem MOET '2.16.840.1.113883.5.111' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.24
Context: *[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:relationshipHolder
Item: (TMP FamilieRelatie)
-->

<rule context="*[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:relationshipHolder"
         id="tmp-5d1c0d72-093d-47af-a132-01ab40178ad0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="@determinerCode='INSTANCE'">(TMP FamilieRelatie): De waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="@classCode='PSN'">(TMP FamilieRelatie): De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="count(hl7:administrativeGenderCode)&lt;=1">(TMP FamilieRelatie): element hl7:administrativeGenderCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="count(hl7:birthTime)&lt;=1">(TMP FamilieRelatie): element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="count(hl7:deceasedTime)&lt;=1">(TMP FamilieRelatie): element hl7:deceasedTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.24
Context: *[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:relationshipHolder/hl7:administrativeGenderCode
Item: (TMP FamilieRelatie)
-->

<rule context="*[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:relationshipHolder/hl7:administrativeGenderCode"
         id="tmp-a6278365-ff72-476f-8d08-cdb635557ff8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP FamilieRelatie): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(TMP FamilieRelatie): De waarde van @code MOET worden gekozen uit Value Set AdministrativeGender Administratieve geslachten DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">(TMP FamilieRelatie): De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set AdministrativeGender Administratieve geslachten DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.24
Context: *[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:relationshipHolder/hl7:birthTime
Item: (TMP FamilieRelatie)
-->

<rule context="*[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:relationshipHolder/hl7:birthTime"
         id="tmp-3aa78cbc-3998-4bbb-8bb2-0c708459cf8a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP FamilieRelatie): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.24
Context: *[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:relationshipHolder/hl7:deceasedTime
Item: (TMP FamilieRelatie)
-->

<rule context="*[hl7:personalRelationship[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']]/hl7:personalRelationship/hl7:relationshipHolder/hl7:deceasedTime"
         id="tmp-51982b05-8c10-4fa0-9cd2-a1551f05271f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.24.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP FamilieRelatie): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>