<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.3
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.70.3">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]
Item: (TMP Contact)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter
Item: (TMP Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter"
         id="tmp-fecabbe5-abea-4c0d-8026-fec3f43e1359">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@classCode='ENC'">(TMP Contact): De waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@moodCode='EVN'">(TMP Contact): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']/@nullFlavor)">(TMP Contact): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3'])&lt;=1">(TMP Contact): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP Contact): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:id)&lt;=1">(TMP Contact): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:code)&gt;=1 ">(TMP Contact): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:code)&lt;=1">(TMP Contact): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:effectiveTime)&lt;=1">(TMP Contact): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:author)&lt;=1">(TMP Contact): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']
Item: (TMP Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']"
         id="tmp-31a5d294-ee10-4985-8541-78a4fd25c233">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.3'">(TMP Contact): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Contact): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:id
Item: (TMP Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:id"
         id="tmp-cddcc7e1-944e-4d90-989b-e67bc0269925">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP Contact): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:code
Item: (TMP Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:code"
         id="tmp-eb541d15-f839-4a1b-852c-774cb968b292">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Contact): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-Contactwijze-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-Contactwijze-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(TMP Contact): De waarde van @code MOET worden gekozen uit Value Set Contactwijze NHG HIS tabel 14 Contactwijze versie 7 DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">(TMP Contact): De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set Contactwijze NHG HIS tabel 14 Contactwijze versie 7 DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:translation)&lt;=1">(TMP Contact): element hl7:translation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:code/hl7:translation
Item: (TMP Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:code/hl7:translation"
         id="tmp-ae259d40-86d8-4000-9efe-1a296970da94">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Contact): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-Verrichtingen-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-Verrichtingen-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(TMP Contact): De waarde van @code MOET worden gekozen uit Value Set Verrichtingen WCIAv3 Tabel 15 Verrichtingen DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">(TMP Contact): De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set Verrichtingen WCIAv3 Tabel 15 Verrichtingen DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:effectiveTime
Item: (TMP Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:effectiveTime"
         id="tmp-1350bd27-6d45-4335-998d-5a53b560e7b5">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(TMP Contact): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(TMP Contact): element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:low)&lt;=1">(TMP Contact): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:high)&lt;=1">(TMP Contact): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:center)=0">(TMP Contact): element hl7:center MAY NOT be present </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:width)=0">(TMP Contact): element hl7:width MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:effectiveTime/hl7:low
Item: (TMP Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:effectiveTime/hl7:low"
         id="tmp-1c7cba1d-b707-4bf8-b5bf-b913daa6c0b0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP Contact): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:effectiveTime/hl7:high
Item: (TMP Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:effectiveTime/hl7:high"
         id="tmp-cbb53e5a-abec-47e0-b27c-2159f7ca271b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP Contact): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:effectiveTime/hl7:center
Item: (TMP Contact)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:effectiveTime/hl7:width
Item: (TMP Contact)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:author
Item: (TMP Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:author"
         id="tmp-381beb9a-9413-4fbb-8f22-3eca86b5b9c0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@typeCode='AUT'">(TMP Contact): De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@contextControlCode='OP'">(TMP Contact): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP Contact): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Contact)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-cafda331-1294-4fcd-b87e-bddd6d60b44a">
      <extends rule="tmp-bc856135-dc52-453f-8c94-e845cd3d02a7"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@classCode='ASSIGNED'">(TMP Contact): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Contact)
-->
<rule id="tmp-bc856135-dc52-453f-8c94-e845cd3d02a7" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP Contact): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP Contact): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP Contact)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-cfa57240-d7c3-40d4-9620-31ebd044fa1f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP Contact): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Contact): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:performer
Item: (TMP Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:performer"
         id="tmp-8bbbb0ca-0ff1-47fe-9374-77d196539a41">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@typeCode='PRF'">(TMP Contact): De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@contextControlCode='OP'">(TMP Contact): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP Contact): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Contact)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-3ec6cce5-005b-4db5-adb8-b2900adf120d">
      <extends rule="tmp-f08ba27e-c989-43dc-8f72-b88e9c023414"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@classCode='ASSIGNED'">(TMP Contact): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Contact)
-->
<rule id="tmp-f08ba27e-c989-43dc-8f72-b88e9c023414" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP Contact): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP Contact): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP Contact)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-a170e9fb-1a81-4473-9ddc-b259e6cd6302">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP Contact): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Contact): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:outboundRelationship
Item: (TMP Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:outboundRelationship"
         id="tmp-d6f305ee-717d-4901-8fb1-861879fcfb4d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@typeCode='COMP'">(TMP Contact): De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@contextConductionInd='true'">(TMP Contact): De waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="count(hl7:sequenceNumber)&lt;=1">(TMP Contact): element hl7:sequenceNumber komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4']|*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']|*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']|*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="$elmcount&gt;=1">(TMP Contact): keuze (*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4'] of *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5'] of *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6'] of *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']) bevat te weinig elementen [min 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:outboundRelationship/hl7:sequenceNumber
Item: (TMP Contact)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:outboundRelationship/hl7:sequenceNumber"
         id="tmp-19f7852e-73ac-4da2-b006-d7463580228c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">(TMP Contact): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT.POS"/>
      <let name="theValue" value="@value"/>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.3.html"
              test="$digitok">(TMP Contact): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:outboundRelationship
Item: (TMP Contact)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:outboundRelationship
Item: (TMP Contact)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:outboundRelationship
Item: (TMP Contact)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.3']]/hl7:encounter/hl7:outboundRelationship
Item: (TMP Contact)
-->
</pattern>